// 完毕：
using System.IO;
using System.Drawing;
using System.Text.RegularExpressions;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf.TextMap;
using GrapeCity.Documents.Pdf.AcroForms;

namespace DsPdfWeb.Demos
{
    // 此示例演示了 GcPdfDocument.Redact() 方法的使用。
    // It加载FindAndRedact示例生成的PDF，其中
    // 某些区域被标记为密文，并应用这些密文。
    // 没有编辑注释的原始PDF是由TimeSheet创建的。
    public class ApplyRedact
    {
        public int CreatePDF(Stream stream)
        {
            var doc = new GcPdfDocument();
            using (var fs = File.OpenRead(Path.Combine("Resources", "PDFs", "find-and-redact.pdf")))
            {
                // 加载包含密文注释的 PDF（标记为密文的区域）：
                doc.Load(fs);

                // 应用编辑：
                doc.Redact();

                // 完毕：
                doc.Save(stream);
                return doc.Pages.Count;
            }
        }
    }
}
